# Jobs_Update

Update an existing record.

`PUT /v1/companies/{company}/Jobs/{identifier}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Jobs
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Jobs/Jobs_Update/

## Description

Update an existing TTE configuration, communication, job, or onboarding record for a company based on its `tteId`, `communicationId`, `jobId`, or `onboardingId`.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |
| `identifier` | string | path | Yes | The TTE, communication, job, or onboarding ID to update. |

## Request Body

**Content-Type:** `application/json`
**Schema:** `Avalara.POS.API.CFG.Model.JobModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `jobId` | string | **Yes** | Job ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `jobName` | string | No | Job name. Example: `SampleJob`. |
| `jobType` | string | **Yes** | Job type. Example: `Test`. |
| `tteId` | string | **Yes** | TTE ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `dttId` | string | No | Job ID. Example: `00000000-0000-0000-0000-000000000000 (optional).`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail. Example: `Default=> Retail`. |
| `prebuiltId` | string | No |  |
| `dttPrebuiltName` | string | No |  |
| `dateRange` | Avalara.POS.API.CFG.Model.JobModel+DateRangeConfiguration | No |  |
| `deliveryConfigurations` | Avalara.POS.API.CFG.Model.JobModel+DeliveryConfigurationDetails | No |  |
| `customConfig` | object | No |  |

**Content-Type:** `text/json`
**Schema:** `Avalara.POS.API.CFG.Model.JobModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `jobId` | string | **Yes** | Job ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `jobName` | string | No | Job name. Example: `SampleJob`. |
| `jobType` | string | **Yes** | Job type. Example: `Test`. |
| `tteId` | string | **Yes** | TTE ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `dttId` | string | No | Job ID. Example: `00000000-0000-0000-0000-000000000000 (optional).`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail. Example: `Default=> Retail`. |
| `prebuiltId` | string | No |  |
| `dttPrebuiltName` | string | No |  |
| `dateRange` | Avalara.POS.API.CFG.Model.JobModel+DateRangeConfiguration | No |  |
| `deliveryConfigurations` | Avalara.POS.API.CFG.Model.JobModel+DeliveryConfigurationDetails | No |  |
| `customConfig` | object | No |  |

**Content-Type:** `application/*+json`
**Schema:** `Avalara.POS.API.CFG.Model.JobModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `jobId` | string | **Yes** | Job ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `jobName` | string | No | Job name. Example: `SampleJob`. |
| `jobType` | string | **Yes** | Job type. Example: `Test`. |
| `tteId` | string | **Yes** | TTE ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `dttId` | string | No | Job ID. Example: `00000000-0000-0000-0000-000000000000 (optional).`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail. Example: `Default=> Retail`. |
| `prebuiltId` | string | No |  |
| `dttPrebuiltName` | string | No |  |
| `dateRange` | Avalara.POS.API.CFG.Model.JobModel+DateRangeConfiguration | No |  |
| `deliveryConfigurations` | Avalara.POS.API.CFG.Model.JobModel+DeliveryConfigurationDetails | No |  |
| `customConfig` | object | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.CFG.Model.JobModel` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 409 | Conflict | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.CFG.Model.JobModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `jobId` | string | **Yes** | Job ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `jobName` | string | No | Job name. Example: `SampleJob`. |
| `jobType` | string | **Yes** | Job type. Example: `Test`. |
| `tteId` | string | **Yes** | TTE ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `dttId` | string | No | Job ID. Example: `00000000-0000-0000-0000-000000000000 (optional).`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail. Example: `Default=> Retail`. |
| `prebuiltId` | string | No |  |
| `dttPrebuiltName` | string | No |  |
| `dateRange` | Avalara.POS.API.CFG.Model.JobModel+DateRangeConfiguration | No |  |
| `deliveryConfigurations` | Avalara.POS.API.CFG.Model.JobModel+DeliveryConfigurationDetails | No |  |
| `customConfig` | object | No |  |

## Example Request

```bash
curl -X PUT "https://rest.avatax.com/api/v2/content/configuration/v1/companies/{company}/Jobs/{identifier}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "companyId": "",
  "accountId": "",
  "createdBy": "",
  "createdDate": "2021-04-21T20:09:19.2207167Z.",
  "modifiedBy": "",
  "modifiedDate": "2021-04-21T20:09:19.2207167Z.",
  "jobId": "00000000-0000-0000-0000-000000000000",
  "jobName": "SampleJob",
  "jobType": "Test",
  "tteId": "00000000-0000-0000-0000-000000000000",
  "dttId": "00000000-0000-0000-0000-000000000000 (optional).",
  "communicationId": "00000000-0000-0000-0000-000000000000",
  "productType": "Default=> Retail",
  "prebuiltId": "",
  "dttPrebuiltName": "",
  "dateRange": {
    "relativeStartDays": "",
    "relativeEndDays": ""
  },
  "deliveryConfigurations": {
    "platform": "TTE",
    "destination": "exavault",
    "networkDetails": {
      "emailAddress": "abc@xyz.com"
    },
    "notifyApiDelivery": ""
  },
  "customConfig": {}
}'
```